package com.GreenDAO.esquema;

//Ejemplo aplicación Android con API GreenDAO (ORM)
//
//academiaandroid.com
//
//by José Antonio Gázquez Rodríguez
/**
 * Entity mapped to table LOGIN.
 */
public class Login {

    private Long id;
    /** Not-null value. */
    private String Usuario;
    /** Not-null value. */
    private String Password;

    public Login() {
    }

    public Login(Long id) {
        this.id = id;
    }

    public Login(Long id, String Usuario, String Password) {
        this.id = id;
        this.Usuario = Usuario;
        this.Password = Password;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    /** Not-null value. */
    public String getUsuario() {
        return Usuario;
    }

    /** Not-null value; ensure this value is available before it is saved to the database. */
    public void setUsuario(String Usuario) {
        this.Usuario = Usuario;
    }

    /** Not-null value. */
    public String getPassword() {
        return Password;
    }

    /** Not-null value; ensure this value is available before it is saved to the database. */
    public void setPassword(String Password) {
        this.Password = Password;
    }

}
